Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt

Use this file to discover all available pages before exploring further.

Endpoints

MethodPathPurpose
POST/checkout/createCreate a hosted checkout
POST/checkout/retrieveRetrieve a checkout
POST/checkout/captureCapture an authorized checkout
POST/checkout/refundRefund a paid checkout
POST/checkout/updateUpdate checkout metadata
POST/checkout/deleteDelete a checkout still in created status

Create checkout

POST /checkout/create

cURL example

curl -X POST https://api.neuro-admin.com/checkout/create \
  -H "Authorization: Bearer $NEURO_PAY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "amount": 2000,
    "currency": "SEK",
    "message": "Order #1001",
    "capture": true,
    "allowSaveCard": true,
    "returnUrl": "https://merchant.example/success",
    "returnUrlCancel": "https://merchant.example/cancel",
    "customer_id": "9a7991cb1e8e9f30911970e913ad4841",
    "metaData": {
      "orderId": "1001"
    },
    "paymentMethods": [
      {
        "method": "card",
        "brands": ["amex", "visa"]
      }
    ]
  }'

Request body

{
  "amount": 2000,
  "currency": "SEK",
  "message": "Order #1001",
  "capture": true,
  "allowSaveCard": true,
  "returnUrl": "https://merchant.example/success",
  "returnUrlCancel": "https://merchant.example/cancel",
  "customer_id": "9a7991cb1e8e9f30911970e913ad4841",
  "metaData": {
    "orderId": "1001"
  },
  "paymentMethods": [
    {
      "method": "card",
      "brands": ["amex", "visa"]
    }
  ]
}

Key fields

Note: The paymentMethods field is only applicable when the payment integrator is Nuvei; it is ignored for other integrators. Admitted methods: card, swish, trustly, paypal. Admitted brands: amex, visa, mastercard, maestro, discover, diners, jcb, unionpay, bancontact, carte_bancaire.
FieldTypeRequiredDescription
amountintegeryesAmount in minor units
currencystringyesCurrency code such as SEK
messagestringyesBuyer-facing description
capturebooleannoWhether to capture immediately
allowSaveCardbooleannoAllow storing the payment method for a customer
returnUrlstringnoSuccess redirect URL
returnUrlCancelstringnoCancel redirect URL
customer_idstringnoExisting checkout customer ID
card_idstringnoSaved card identifier
identifierstringnoYour own reference value
templatestringnoOptional checkout template identifier
metaDataobjectnoOptional metadata stored with the checkout
paymentMethodsarraynoOptional payment-method filter
sendInLanguagestringnoPreferred checkout language
afterPaidmixednoOptional post-payment data
skip_confirmationbooleannoOptional checkout behavior flag

Response shape

{
  "checkout_id": "ba3e9a3d911ca9e4413eb9e6dcaafec9",
  "identifier": "order-1001",
  "authCode": "test123",
  "status": "created",
  "statusChanged": "2026-05-06 08:00:00",
  "mode": "test",
  "amount": 2000,
  "currency": "SEK",
  "message": "Order #1001",
  "returnUrl": "https://merchant.example/success",
  "returnUrlCancel": "https://merchant.example/cancel",
  "metaData": {
    "orderId": "1001"
  },
  "capture": true,
  "allowSaveCard": true,
  "redirectUrl": "https://neuro-admin.com/checkout/checkout?id=123&cid=ba3e9a3d911ca9e4413eb9e6dcaafec9",
  "balance": 0
}
After creating a checkout, redirect the buyer to redirectUrl.

Retrieve checkout

POST /checkout/retrieve

cURL example

curl -X POST https://api.neuro-admin.com/checkout/retrieve \
  -H "Authorization: Bearer $NEURO_PAY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "checkout_id": "ba3e9a3d911ca9e4413eb9e6dcaafec9"
  }'
{
  "checkout_id": "ba3e9a3d911ca9e4413eb9e6dcaafec9"
}
Returns the same checkout summary shape used by checkout creation.

Capture checkout

POST /checkout/capture

cURL example

curl -X POST https://api.neuro-admin.com/checkout/capture \
  -H "Authorization: Bearer $NEURO_PAY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "checkout_id": "ba3e9a3d911ca9e4413eb9e6dcaafec9"
  }'
{
  "checkout_id": "ba3e9a3d911ca9e4413eb9e6dcaafec9"
}
Use this when a checkout was created with capture: false and payment was authorized but not yet captured.

Refund checkout

POST /checkout/refund

cURL example

curl -X POST https://api.neuro-admin.com/checkout/refund \
  -H "Authorization: Bearer $NEURO_PAY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "checkout_id": "ba3e9a3d911ca9e4413eb9e6dcaafec9",
    "amount": 500,
    "reason": "requested_by_customer"
  }'
{
  "checkout_id": "ba3e9a3d911ca9e4413eb9e6dcaafec9",
  "amount": 500,
  "reason": "requested_by_customer"
}

Refund notes

  • reason must be one of duplicate, fraudulent, or requested_by_customer
  • amount is sent in minor units. If not provided, the full remaining amount will be refunded.
  • the refund amount cannot exceed the refundable balance

Key fields

FieldTypeRequiredDescription
checkout_idstringyesUnique identifier of the checkout
amountintegernoAmount in minor units
reasonstringnoReason for the refund
refundDetailsstringnoOptional free text attached to the transaction

Update checkout metadata

POST /checkout/update

cURL example

curl -X POST https://api.neuro-admin.com/checkout/update \
  -H "Authorization: Bearer $NEURO_PAY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "checkout_id": "ba3e9a3d911ca9e4413eb9e6dcaafec9",
    "metaData": {
      "erpOrderId": "SO-1001",
      "oldKey": ""
    }
  }'
{
  "checkout_id": "ba3e9a3d911ca9e4413eb9e6dcaafec9",
  "metaData": {
    "erpOrderId": "SO-1001",
    "oldKey": ""
  }
}
metaData is merged into the stored checkout metadata. Empty values can be used to remove existing keys.

Delete checkout

POST /checkout/delete

cURL example

curl -X POST https://api.neuro-admin.com/checkout/delete \
  -H "Authorization: Bearer $NEURO_PAY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "checkout_id": "ba3e9a3d911ca9e4413eb9e6dcaafec9"
  }'
{
  "checkout_id": "ba3e9a3d911ca9e4413eb9e6dcaafec9"
}
Only checkouts still in created status can be deleted. Example response:
{
  "status": "success",
  "message": "Checkout status changed to deleted.",
  "checkout_id": "ba3e9a3d911ca9e4413eb9e6dcaafec9"
}